Create or update agent configuration

Base URL
https://{kibana_url}
  • PUT /api/apm/settings/agent-configuration
  • PUT /s/{space_id}/api/apm/settings/agent-configuration
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

overwrite boolean

If the config exists ?overwrite=true is required

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agent_name string

Agent name

service object required

Service

environment string

Environment

name string

Name

settings map string to string required

Agent configuration settings

Responses

Successful response

application/json

Response Type: object

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Forbidden response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}